<?php
/**
* Unit test for all functions in UrlResolve.class.php.
*
*	@author Daniel Lindh <daniel@fareoffice.com>
* @ingroup unittests
*/
class UTUrl extends foUnitTestBase
{
	public function doTest()
	{
		$this->testAbsUrl();

	}

  function testAbsUrl()
  {
    $test = array
    (
        "g:h"           =>  "g:h",
        "g"             =>  "http://a/b/c/g",
        "./g"           =>  "http://a/b/c/g",
        "g/"            =>  "http://a/b/c/g/",
        "/g"            =>  "http://a/g",
        "?y"            =>  "http://a/b/c/d;p?y",
        "g?y"           =>  "http://a/b/c/g?y",
        "#s"            =>  "http://a/b/c/d;p?q#s",
        "g#s"           =>  "http://a/b/c/g#s",
        "g?y#s"         =>  "http://a/b/c/g?y#s",
        ";x"            =>  "http://a/b/c/;x",
        "g;x"           =>  "http://a/b/c/g;x",
        "g;x?y#s"       =>  "http://a/b/c/g;x?y#s",
        ""              =>  "http://a/b/c/d;p?q",
        "."             =>  "http://a/b/c/",
        "./"            =>  "http://a/b/c/",
        ".."            =>  "http://a/b/",
        "../"           =>  "http://a/b/",
        "../g"          =>  "http://a/b/g",
        "../.."         =>  "http://a/",
        "../../"        =>  "http://a/",
        "../../g"       =>  "http://a/g",
        "../../../g"    =>  "http://a/g",
        "../../../../g" =>  "http://a/g",
        "/./g"          =>  "http://a/g",
        "/../g"         =>  "http://a/g",
        "g."            =>  "http://a/b/c/g.",
        ".g"            =>  "http://a/b/c/.g",
        "g.."           =>  "http://a/b/c/g..",
        "..g"           =>  "http://a/b/c/..g",
        "./../g"        =>  "http://a/b/g",
        "./g/."         =>  "http://a/b/c/g/",
        "g/./h"         =>  "http://a/b/c/g/h",
        "g/../h"        =>  "http://a/b/c/h",
        "g;x=1/./y"     =>  "http://a/b/c/g;x=1/y",
        "g;x=1/../y"    =>  "http://a/b/c/y",
        "g?y/./x"       =>  "http://a/b/c/g?y/./x",
        "g?y/../x"      =>  "http://a/b/c/g?y/../x",
        "g#s/./x"       =>  "http://a/b/c/g#s/./x",
        "g#s/../x"      =>  "http://a/b/c/g#s/../x",
    );

		$this->setSectionLabel('absurl');

    foreach ($test as $key=>$value)
    {
			eval($this->needEqual('url::absUrl("http://a/b/c/d;p?q", "' . $key .'")', '$value'));
    }

		eval($this->needEqual('url::absUrl("http://cybercow.se/php/ex/absurl/index.php?moo=aa", "../error/index.php")', '"http://cybercow.se/php/ex/error/index.php"'));
  }
}

?>
